package cn.com.qmth.stmms.biz.exam.bean;

import java.util.Date;

import cn.com.qmth.stmms.common.enums.SubjectiveStatus;
import cn.com.qmth.stmms.common.utils.BigDecimalUtils;

public class ScoreVerifyVo {

	// 考生id
	private Integer studentId;
	// 考生姓名
	private String studentName;
	// 考生编号
	private String studentCode;
	// 科目
	private String subjectCode;
	private String subjectName;
	// 上传状态
	private Boolean upload;
	// 总分
	private Double subjectiveScore;
	// 得分明细
	private String subjectiveScoreList;
	// 校验人
	private String scoreVerifyUserName;
	// 校验时间
	private Date scoreVerifyTime;
	private Double objectiveScore;

	public Integer getStudentId() {
		return studentId;
	}

	public void setStudentId(Integer studentId) {
		this.studentId = studentId;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public double getTotalScore() {
		double score = 0;
		if (objectiveScore != null) {
			score = BigDecimalUtils.add(score, objectiveScore);
		}
		if (subjectiveScore != null) {
			score = BigDecimalUtils.add(score, subjectiveScore);
		}
		return score;
	}

	public Boolean getUpload() {
		return upload;
	}

	public void setUpload(Boolean upload) {
		this.upload = upload;
	}

	public Double getSubjectiveScore() {
		return subjectiveScore;
	}

	public void setSubjectiveScore(Double subjectiveScore) {
		this.subjectiveScore = subjectiveScore;
	}

	public String getSubjectiveScoreList() {
		return subjectiveScoreList;
	}

	public void setSubjectiveScoreList(String subjectiveScoreList) {
		this.subjectiveScoreList = subjectiveScoreList;
	}

	public String getScoreVerifyUserName() {
		return scoreVerifyUserName;
	}

	public void setScoreVerifyUserName(String scoreVerifyUserName) {
		this.scoreVerifyUserName = scoreVerifyUserName;
	}

	public Date getScoreVerifyTime() {
		return scoreVerifyTime;
	}

	public void setScoreVerifyTime(Date scoreVerifyTime) {
		this.scoreVerifyTime = scoreVerifyTime;
	}

	public String getSubjectCode() {
		return subjectCode;
	}

	public void setSubjectCode(String subjectCode) {
		this.subjectCode = subjectCode;
	}

	public String getSubjectName() {
		return subjectName;
	}

	public void setSubjectName(String subjectName) {
		this.subjectName = subjectName;
	}

	public Double getObjectiveScore() {
		return objectiveScore;
	}

	public void setObjectiveScore(Double objectiveScore) {
		this.objectiveScore = objectiveScore;
	}


}
